Community
cancel
Showing results for 
Search instead for 
Did you mean: 
A__Siva
Beginner
86 Views

Model Optimizer Tensorflow Model Porting Errors

Tensorflow Intel Version conda install tensorflow-mkl

While porting an existing tensorflow model in openvino. Tried different options but resulted in different errors in each of options using pb, checkpoint data etc on Windows / Linux. Listed below are different command tried and output captured.

Porting Errors

On Windows OpenVino
===================
Step 

python mo_tf.py --input_model E:\frozen_inference_graph.pb --tensorflow_use_custom_operations_config C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\extensions\front\tf\faster_rcnn_support_api_v1.7.json --tensorflow_object_detection_api_pipeline_config E:\faster_rcnn_inception_v2_pets.config --reverse_input_channels


Error
[ ERROR ]  Exception occurred during running replacer "ObjectDetectionAPIDetectionOutputReplacement" (<class 'extensions.front.tf.ObjectDetectionAPI.ObjectDetectionAPIDetectionOutputReplacement'>): Found the following nodes '[]' with name 'proposals' but there should be exactly 1. Looks like ObjectDetectionAPIProposalReplacement replacement didn't work.

On Windows

==========

python mo_tf.py --input_model E:\frozen_inference_graph.pb --log_level=DEBUG

[ ERROR ]  Cannot infer shapes or values for node "GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones".
[ ERROR ]  NodeDef mentions attr 'index_type' not in Op<name=Fill; signature=dims:int32, value:T -> output:T; attr=T:type>; NodeDef: GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones = Fill[T=DT_INT32, index_type=DT_INT32, _device="/job:localhost/replica:0/task:0/cpu:0"](_arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder_0_0, _arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder_0_1). (Check whether your GraphDef-interpreting binary is up to date with your GraphDef-generating binary.).
         [[Node: GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones = Fill[T=DT_INT32, index_type=DT_INT32, _device="/job:localhost/replica:0/task:0/cpu:0"](_arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder_0_0, _arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder_0_1)]]

Caused by op 'GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones', defined at:
  File "mo_tf.py", line 31, in <module>
    sys.exit(main(get_tf_cli_parser(), 'tf'))
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\main.py", line 325, in main
    return driver(argv)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\main.py", line 267, in driver
    mean_scale_values=mean_scale)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\pipeline\tf.py", line 256, in tf2nx
    partial_infer(graph)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\middle\passes\infer.py", line 153, in partial_infer
    node.infer(node)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\partial_infer\tf.py", line 60, in tf_native_tf_node_infer
    tf_subgraph_infer(tmp_node)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\partial_infer\tf.py", line 135, in tf_subgraph_infer
    all_constants, output_tensors = get_subgraph_output_tensors(node)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\partial_infer\tf.py", line 115, in get_subgraph_output_tensors
    tf.import_graph_def(graph_def, name='')
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\framework\importer.py", line 311, in import_graph_def
    op_def=op_def)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\framework\ops.py", line 2506, in create_op
    original_op=self._default_original_op, op_def=op_def)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\framework\ops.py", line 1269, in __init__
    self._traceback = _extract_stack()

InvalidArgumentError (see above for traceback): NodeDef mentions attr 'index_type' not in Op<name=Fill; signature=dims:int32, value:T -> output:T; attr=T:type>; NodeDef: GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones = Fill[T=DT_INT32, index_type=DT_INT32, _device="/job:localhost/replica:0/task:0/cpu:0"](_arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder_0_0, _arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder_0_1). (Check whether your GraphDef-interpreting binary is up to date with your GraphDef-generating binary.).
         [[Node: GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones = Fill[T=DT_INT32, index_type=DT_INT32, _device="/job:localhost/replica:0/task:0/cpu:0"](_arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder_0_0, _arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder_0_1)]]

[ ERROR ]
[ ERROR ]  It can happen due to bug in custom shape infer function <function tf_native_tf_node_infer at 0x0000027A2122D950>.
[ ERROR ]  Or because the node inputs have incorrect values/shapes.
[ ERROR ]  Or because input shapes are incorrect (embedded to the model or passed via --input_shape).
[ 2019-05-08 15:19:47,516 ] [ DEBUG ] [ infer:215 ]  Node "GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones" attributes: {'pb': name: "GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones"
op: "Fill"
input: "GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder"
input: "GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder"
attr {
  key: "T"
  value {
    type: DT_INT32
  }
}
attr {
  key: "index_type"
  value {
    type: DT_INT32
  }
}
, 'kind': 'op', 'name': 'GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones', 'op': 'Fill', 'precision': 'FP32', 'IE': [('layer', [('id', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E1E0>), 'name', 'precision', 'type'], [('data', ['auto_pad', 'epsilon', 'min', 'max', ('axis', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E2F0>), 'tiles', ('dim', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E268>), 'num_axes', ('pool-method', 'pool_method'), 'group', ('rounding-type', 'rounding_type'), ('exclude-pad', 'exclude_pad'), 'operation', 'out-size', 'power', 'shift', 'alpha', 'beta', 'coords', 'classes', 'num', ('local-size', 'local_size'), 'region', 'knorm', 'num_classes', 'keep_top_k', 'variance_encoded_in_target', 'code_type', 'share_location', 'nms_threshold', 'confidence_threshold', 'background_label_id', 'top_k', 'eta', 'visualize', 'visualize_threshold', 'save_file', 'output_directory', 'output_name_prefix', 'output_format', 'label_map_file', 'name_size_file', 'num_test_image', 'prob', 'resize_mode', 'height', 'width', 'height_scale', 'width_scale', 'pad_mode', 'pad_value', 'interp_mode', 'img_size', 'img_h', 'img_w', 'step', 'step_h', 'step_w', ('offset', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E400>), 'variance', 'flip', 'clip', ('min_size', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E378>), ('max_size', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E510>), ('aspect_ratio', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E488>), 'decrease_label_id', 'normalized', 'scale_all_sizes', ('type', 'norm_type'), 'eps', 'across_spatial', 'channel_shared', 'negative_slope', 'engine', 'num_filter', ('type', 'sample_type'), ('order', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E620>), 'pooled_h', 'pooled_w', 'spatial_scale', 'cls_threshold', 'max_num_proposals', 'iou_threshold', 'min_bbox_size', 'feat_stride', 'pre_nms_topn', 'post_nms_topn', ('type', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E598>), ('value', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E6A8>), ('output', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E730>), ('input_nodes_names', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E7B8>), ('output_tensors_names', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E840>), ('real_input_dims', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E8C8>), ('protobuf', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E950>), {'custom_attributes': None}, ('strides', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71E9D8>), ('kernel', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71EA60>), ('dilations', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71EAE8>), ('pads_begin', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71EB70>), ('pads_end', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71EBF8>), ('scale', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71EC80>), 'crop_width', 'crop_height', 'write_augmented', 'max_multiplier', 'augment_during_test', 'recompute_mean', 'write_mean', 'mean_per_pixel', 'mode', 'bottomwidth', 'bottomheight', 'chromatic_eigvec', 'kernel_size', 'max_displacement', 'stride_1', 'stride_2', 'single_direction', 'do_abs', 'correlation_type', 'antialias', 'resample_type', 'factor', 'coeff', ('ratio', <function update_ie_fields.<locals>.<lambda> at 0x0000027A2A71ED08>)], []), '@ports', '@consts'])], 'dim_attrs': ['axis', 'spatial_dims', 'batch_dims', 'channel_dims'], 'shape_attrs': ['stride', 'output_shape', 'shape', 'window', 'pad'], 'is_output_reachable': True, 'is_undead': False, 'is_const_producer': False, 'infer': <function tf_native_tf_node_infer at 0x0000027A2122D950>, 'is_partial_inferred': False}
[ ERROR ]  Stopped shape/value propagation at "GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones" node.
 For more information please refer to Model Optimizer FAQ (<INSTALL_DIR>/deployment_tools/documentation/docs/MO_FAQ.html), question #38.
[ 2019-05-08 15:19:47,547 ] [ DEBUG ] [ main:331 ]  Traceback (most recent call last):
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\client\session.py", line 1139, in _do_call
    return fn(*args)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\client\session.py", line 1121, in _run_fn
    status, run_metadata)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\contextlib.py", line 88, in __exit__
    next(self.gen)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\framework\errors_impl.py", line 466, in raise_exception_on_not_ok_status
    pywrap_tensorflow.TF_GetCode(status))
tensorflow.python.framework.errors_impl.InvalidArgumentError: NodeDef mentions attr 'index_type' not in Op<name=Fill; signature=dims:int32, value:T -> output:T; attr=T:type>; NodeDef: GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones = Fill[T=DT_INT32, index_type=DT_INT32, _device="/job:localhost/replica:0/task:0/cpu:0"](_arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder_0_0, _arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder_0_1). (Check whether your GraphDef-interpreting binary is up to date with your GraphDef-generating binary.).
         [[Node: GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones = Fill[T=DT_INT32, index_type=DT_INT32, _device="/job:localhost/replica:0/task:0/cpu:0"](_arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder_0_0, _arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder_0_1)]]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\middle\passes\infer.py", line 153, in partial_infer
    node.infer(node)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\partial_infer\tf.py", line 60, in tf_native_tf_node_infer
    tf_subgraph_infer(tmp_node)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\partial_infer\tf.py", line 135, in tf_subgraph_infer
    all_constants, output_tensors = get_subgraph_output_tensors(node)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\partial_infer\tf.py", line 120, in get_subgraph_output_tensors
    result_tensor = sess.run(graph.get_tensor_by_name(out_tensor_name), feed_dict=feed_dict)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\client\session.py", line 789, in run
    run_metadata_ptr)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\client\session.py", line 997, in _run
    feed_dict_string, options, run_metadata)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\client\session.py", line 1132, in _do_run
    target_list, options, run_metadata)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\client\session.py", line 1152, in _do_call
    raise type(e)(node_def, op, message)
tensorflow.python.framework.errors_impl.InvalidArgumentError: NodeDef mentions attr 'index_type' not in Op<name=Fill; signature=dims:int32, value:T -> output:T; attr=T:type>; NodeDef: GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones = Fill[T=DT_INT32, index_type=DT_INT32, _device="/job:localhost/replica:0/task:0/cpu:0"](_arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder_0_0, _arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder_0_1). (Check whether your GraphDef-interpreting binary is up to date with your GraphDef-generating binary.).
         [[Node: GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones = Fill[T=DT_INT32, index_type=DT_INT32, _device="/job:localhost/replica:0/task:0/cpu:0"](_arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder_0_0, _arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder_0_1)]]

Caused by op 'GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones', defined at:
  File "mo_tf.py", line 31, in <module>
    sys.exit(main(get_tf_cli_parser(), 'tf'))
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\main.py", line 325, in main
    return driver(argv)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\main.py", line 267, in driver
    mean_scale_values=mean_scale)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\pipeline\tf.py", line 256, in tf2nx
    partial_infer(graph)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\middle\passes\infer.py", line 153, in partial_infer
    node.infer(node)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\partial_infer\tf.py", line 60, in tf_native_tf_node_infer
    tf_subgraph_infer(tmp_node)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\partial_infer\tf.py", line 135, in tf_subgraph_infer
    all_constants, output_tensors = get_subgraph_output_tensors(node)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\partial_infer\tf.py", line 115, in get_subgraph_output_tensors
    tf.import_graph_def(graph_def, name='')
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\framework\importer.py", line 311, in import_graph_def
    op_def=op_def)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\framework\ops.py", line 2506, in create_op
    original_op=self._default_original_op, op_def=op_def)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\framework\ops.py", line 1269, in __init__
    self._traceback = _extract_stack()

InvalidArgumentError (see above for traceback): NodeDef mentions attr 'index_type' not in Op<name=Fill; signature=dims:int32, value:T -> output:T; attr=T:type>; NodeDef: GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones = Fill[T=DT_INT32, index_type=DT_INT32, _device="/job:localhost/replica:0/task:0/cpu:0"](_arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder_0_0, _arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder_0_1). (Check whether your GraphDef-interpreting binary is up to date with your GraphDef-generating binary.).
         [[Node: GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones = Fill[T=DT_INT32, index_type=DT_INT32, _device="/job:localhost/replica:0/task:0/cpu:0"](_arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/Reshape_port_0_ie_placeholder_0_0, _arg_GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones/Const_port_0_ie_placeholder_0_1)]]


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\main.py", line 325, in main
    return driver(argv)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\main.py", line 267, in driver
    mean_scale_values=mean_scale)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\pipeline\tf.py", line 256, in tf2nx
    partial_infer(graph)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\middle\passes\infer.py", line 217, in partial_infer
    refer_to_faq_msg(38)) from err
mo.utils.error.Error: Stopped shape/value propagation at "GridAnchorGenerator/Meshgrid_3/ExpandedShape_1/ones" node.
 For more information please refer to Model Optimizer FAQ (<INSTALL_DIR>/deployment_tools/documentation/docs/MO_FAQ.html), question #38.

On Windows

=========

python mo_tf.py --input_meta_graph E:\model.ckpt-25867.meta --log_level=DEBUG

[ FRAMEWORK ERROR ]  Cannot load input model: No op named IteratorV2 in defined operations.
[ 2019-05-08 15:23:49,946 ] [ DEBUG ] [ main:334 ]  Traceback (most recent call last):
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\loader.py", line 219, in load_tf_graph_def
    restorer = tf.train.import_meta_graph(input_meta_graph_def)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\training\saver.py", line 1686, in import_meta_graph
    **kwargs)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\framework\meta_graph.py", line 504, in import_scoped_meta_graph
    producer_op_list=producer_op_list)
  File "C:\Users\AppData\Local\Continuum\anaconda3\envs\tflow\lib\site-packages\tensorflow\python\framework\importer.py", line 283, in import_graph_def
    raise ValueError('No op named %s in defined operations.' % node.op)
ValueError: No op named IteratorV2 in defined operations.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\main.py", line 325, in main
    return driver(argv)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\main.py", line 267, in driver
    mean_scale_values=mean_scale)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\pipeline\tf.py", line 127, in tf2nx
    saved_model_tags=argv.saved_model_tags)
  File "C:\Intel\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\mo\front\tf\loader.py", line 233, in load_tf_graph_def
    raise FrameworkError('Cannot load input model: {}', e) from e
mo.utils.error.FrameworkError: Cannot load input model: No op named IteratorV2 in defined operations.

On Linux
=========
python3 mo_tf.py --input_model \Home\code\frozen_inference_graph.pb 

Error
'The TensorFlow library was compiled to use AVX instructions, but these aren't available on your machine’. 

Updated Openvino - Windows, On Latest April Version

=============================================

python mo_tf.py --input_model E:\frozen_inference_graph.pb --log_level=DEBUG

[ ERROR ]  Exception occurred during running replacer "REPLACEMENT_ID" (<class 'extensions.middle.PartialInfer.PartialInfer'>): Stopped shape/value propagation at "image_tensor" node.
 For more information please refer to Model Optimizer FAQ (<INSTALL_DIR>/deployment_tools/documentation/docs/MO_FAQ.html), question #38.
[ 2019-05-09 11:37:21,216 ] [ DEBUG ] [ main:318 ]  Traceback (most recent call last):
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\middle\passes\infer.py", line 166, in partial_infer
    node_name)
mo.utils.error.Error: Not all output shapes were inferred or fully defined for node "image_tensor".
 For more information please refer to Model Optimizer FAQ (<INSTALL_DIR>/deployment_tools/documentation/docs/MO_FAQ.html), question #40.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\utils\class_registration.py", line 167, in apply_replacements
    replacer.find_and_replace_pattern(graph)
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\extensions\middle\PartialInfer.py", line 31, in find_and_replace_pattern
    partial_infer(graph)
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\middle\passes\infer.py", line 196, in partial_infer
    refer_to_faq_msg(38)) from err
mo.utils.error.Error: Stopped shape/value propagation at "image_tensor" node.
 For more information please refer to Model Optimizer FAQ (<INSTALL_DIR>/deployment_tools/documentation/docs/MO_FAQ.html), question #38.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\main.py", line 312, in main
    return driver(argv)
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\main.py", line 263, in driver
    is_binary=not argv.input_model_is_text)
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\pipeline\tf.py", line 128, in tf2nx
    class_registration.apply_replacements(graph, class_registration.ClassType.MIDDLE_REPLACER)
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\utils\class_registration.py", line 184, in apply_replacements
    )) from err
mo.utils.error.Error: Exception occurred during running replacer "REPLACEMENT_ID" (<class 'extensions.middle.PartialInfer.PartialInfer'>): Stopped shape/value propagation at "image_tensor" node.
 For more information please refer to Model Optimizer FAQ (<INSTALL_DIR>/deployment_tools/documentation/docs/MO_FAQ.html), question #38.

Another Version of command with shape specified - Windows

================================================

python mo_tf.py --input_model E:\frozen_inference_graph.pb --tensorflow_use_custom_operations_config C:\Intel1\computer_vision_sdk_2018.5.456\deployment_tools\model_optimizer\extensions\front\tf\faster_rcnn_support_api_v1.7.json --tensorflow_object_detection_api_pipeline_config E:\faster_rcnn_inception_v2_pets.config --reverse_input_channels --log_level=DEBUG

[ ERROR ]  Exception occurred during running replacer "ObjectDetectionAPIDetectionOutputReplacement" (<class 'extensions.front.tf.ObjectDetectionAPI.ObjectDetectionAPIDetectionOutputReplacement'>): Found the following nodes '[]' with name 'crop_proposals' but there should be exactly 1. Looks like ObjectDetectionAPIProposalReplacement replacement didn't work.
[ 2019-05-09 11:46:40,194 ] [ DEBUG ] [ main:318 ]  Traceback (most recent call last):
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\utils\class_registration.py", line 167, in apply_replacements
    replacer.find_and_replace_pattern(graph)
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\front\tf\replacement.py", line 89, in find_and_replace_pattern
    self.replace_sub_graph(graph, match)
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\front\common\replacement.py", line 131, in replace_sub_graph
    new_sub_graph = self.generate_sub_graph(graph, match)  # pylint: disable=assignment-from-no-return
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\extensions\front\tf\ObjectDetectionAPI.py", line 581, in generate_sub_graph
    format(proposal_nodes_ids))
mo.utils.error.Error: Found the following nodes '[]' with name 'crop_proposals' but there should be exactly 1. Looks like ObjectDetectionAPIProposalReplacement replacement didn't work.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\main.py", line 312, in main
    return driver(argv)
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\main.py", line 263, in driver
    is_binary=not argv.input_model_is_text)
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\pipeline\tf.py", line 127, in tf2nx
    class_registration.apply_replacements(graph, class_registration.ClassType.FRONT_REPLACER)
  File "C:\Intel\openvino_2019.1.133\deployment_tools\model_optimizer\mo\utils\class_registration.py", line 184, in apply_replacements
    )) from err
mo.utils.error.Error: Exception occurred during running replacer "ObjectDetectionAPIDetectionOutputReplacement" (<class 'extensions.front.tf.ObjectDetectionAPI.ObjectDetectionAPIDetectionOutputReplacement'>): Found the following nodes '[]' with name 'crop_proposals' but there should be exactly 1. Looks like ObjectDetectionAPIProposalReplacement replacement didn't work.
 

So many different types of errors, Model works perfectly fine in Tensorflow object detection, Porting to Openvino :( :( :(

So many ways but not sure why Model Optimizer does not have any compatibility support for this. This becomes like we need to find the version of tensorflow which works both for openvino and tensorflow object detection. Ideally intel should support no matter what platform :(Model Optimizer does not have any compatibility support for this. This becomes like we need to find the version of tensorflow which works both for openvino and tensorflow object detection. Ideally intel should support no matter what platform :(

0 Kudos
1 Reply
Horn__Alexander
Beginner
86 Views

Siva, 

share your code w/ me, and let me try this on the target linux platform.

If we still have issues, we will re-post w/ more pipeline context. 

Thanks !!